## ros-humble-octomap 1.9.8

=== src/testing/CMakeLists.txt ===
if(BUILD_TESTING)
  ADD_EXECUTABLE(test_raycasting test_raycasting.cpp)
  TARGET_LINK_LIBRARIES(test_raycasting octomap)

  ADD_EXECUTABLE(test_iterators test_iterators.cpp)
  TARGET_LINK_LIBRARIES(test_iterators octomap)

  ADD_EXECUTABLE(test_io test_io.cpp)
  TARGET_LINK_LIBRARIES(test_io octomap)

  ADD_EXECUTABLE(test_changedkeys test_changedkeys.cpp)
  TARGET_LINK_LIBRARIES(test_changedkeys octomap)

  ADD_EXECUTABLE(test_scans test_scans.cpp)
  TARGET_LINK_LIBRARIES(test_scans octomap)

  ADD_EXECUTABLE(test_color_tree test_color_tree.cpp)
  TARGET_LINK_LIBRARIES(test_color_tree octomap)

  ADD_EXECUTABLE(color_tree_histogram color_tree_histogram.cpp)
  TARGET_LINK_LIBRARIES(color_tree_histogram octomap)

  ADD_EXECUTABLE(test_mapcollection test_mapcollection.cpp)
  TARGET_LINK_LIBRARIES(test_mapcollection octomap octomath)

  ADD_EXECUTABLE(test_pruning test_pruning.cpp)
  TARGET_LINK_LIBRARIES(test_pruning octomap octomath)

  ADD_EXECUTABLE(test_bbx test_bbx.cpp)
  TARGET_LINK_LIBRARIES(test_bbx octomap)


  # CTest tests below

  ADD_EXECUTABLE(unit_tests unit_tests.cpp)
  TARGET_LINK_LIBRARIES(unit_tests octomap)

  ADD_TEST (NAME MathVector         COMMAND unit_tests MathVector     )
  ADD_TEST (NAME MathPose           COMMAND unit_tests MathPose       )
  ADD_TEST (NAME InsertRay          COMMAND unit_tests InsertRay      )
  ADD_TEST (NAME InsertScan         COMMAND unit_tests InsertScan     )
  ADD_TEST (NAME ReadGraph          COMMAND unit_tests ReadGraph      )
  ADD_TEST (NAME StampedTree        COMMAND unit_tests StampedTree    )
  ADD_TEST (NAME OcTreeKey          COMMAND unit_tests OcTreeKey      )
  ADD_TEST (NAME test_scans         COMMAND test_scans ${PROJECT_SOURCE_DIR}/share/data/spherical_scan.graph)
  ADD_TEST (NAME test_raycasting    COMMAND test_raycasting)
  ADD_TEST (NAME test_io            COMMAND test_io ${PROJECT_SOURCE_DIR}/share/data/geb079.bt)
  ADD_TEST (NAME test_pruning       COMMAND test_pruning )
  ADD_TEST (NAME test_iterators     COMMAND test_iterators ${PROJECT_SOURCE_DIR}/share/data/geb079.bt)
  ADD_TEST (NAME test_mapcollection COMMAND test_mapcollection ${PROJECT_SOURCE_DIR}/share/data/mapcoll.txt)
  ADD_TEST (NAME test_color_tree    COMMAND test_color_tree)
  ADD_TEST (NAME test_bbx           COMMAND test_bbx)
endif()

=== debian/changelog ===
ros-humble-octomap (1.9.8-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Armin Hornung <armin@hornung.io>  Fri, 13 May 2022 16:12:30 -0000

=== debian/control ===
Source: ros-humble-octomap
Section: misc
Priority: optional
Maintainer: Armin Hornung <armin@hornung.io>
Build-Depends: debhelper (>= 9.0.0), cmake, ros-humble-ros-workspace
Homepage: http://octomap.github.io
Standards-Version: 3.9.2

Package: ros-humble-octomap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ros-workspace
Description: The OctoMap library implements a 3D occupancy grid mapping approach, providing data structures and mapping algorithms in C++.
 The map implementation is based on an octree. See http://octomap.github.io for details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-octomap//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-octomap//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-octomap 1.10.0

=== debian/changelog ===
ros-humble-octomap (1.10.0-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Armin Hornung <armin@hornung.io>  Mon, 26 Aug 2024 13:06:48 -0000
